import { record, EventType } from 'rrweb';
import * as Sentry from '@sentry/browser';
import { Event } from '@sentry/types';
declare type RRWebEvent = {
    type: EventType;
    data: {};
    timestamp: number;
    delay?: number;
};
declare type RRWebOptions = Parameters<typeof record>[0];
export default class SentryRRWeb {
    readonly name: string;
    static id: string;
    events: Array<RRWebEvent>;
    private readonly recordOptions;
    constructor({ checkoutEveryNms, maskAllInputs, ...recordOptions }?: RRWebOptions);
    setupOnce(): void;
    attachmentUrlFromDsn(dsn: any, eventId: string): string;
    protected processEvent(event: Event): Sentry.Event;
}
export {};
